# Mạng và dải IP

`GET /v1/service/@id/networks` · quyền `services:read`

Các mạng và dải IP dùng được khi tạo máy ảo.

## HTTP request

| Mục | Giá trị |
| --- | --- |
| URL | `https://api.tino.vn/v1/service/@id/networks` |
| Method | `GET` |
| Quyền (scope) | `services:read` |
| Header | `Authorization: Bearer <token>` |
| Content-Type | — (không có body) |
| Token gọi được | token ứng dụng (`tinoat_`), token API cá nhân (`tinopat_`) |

## Tham số

| Tên | Vị trí | Kiểu | Bắt buộc | Mô tả |
| --- | --- | --- | --- | --- |
| `id` | đường dẫn | string | có | ID dịch vụ |

## Example request

```bash
curl "https://api.tino.vn/v1/service/100001/networks" \
  -H "Authorization: Bearer $TINO_TOKEN"
```

`$TINO_TOKEN` là token có quyền `services:read`. Tham số đường dẫn trong ví dụ là giá trị mẫu.

SDK ([SDK & Ví dụ](/docs/sdk)): Python `client.services.list_networks(id)`, Node.js `await client.services.listNetworks(id);`, PHP `$client->services->listNetworks($id);`.

## Example response

```json
{
 "network": {
  "devices": [],
  "zones": [
   {
    "value": "vmbr0:218",
    "zone": "vmbr0",
    "vlan": "218",
    "label": "vmbr0 VLAN #218"
   },
   {
    "value": "vmbr0:24",
    "zone": "vmbr0",
    "vlan": "24",
    "label": "vmbr0 VLAN #24"
   },
   "… 20 more item(s)"
  ],
  "limits": [
   {
    "name": "IPv4 Pool",
    "type": "ipv4",
    "options": [
     {
      "label": "Public IP(s)",
      "value": "public",
      "max": 0,
      "type": "ipv4",
      "zones": [
       "vmbr0",
       "vmbr20"
      ],
      "vlan": [
       "218",
       "24",
       "… 9 more item(s)"
      ],
      "gateways": []
     }
    ]
   },
   {
    "name": "IPv6 Pool",
    "type": "ipv6",
    "options": [
  … 24 more line(s)
```

Mẫu thật từ tài khoản thử, đã che dữ liệu cá nhân; mảng và chuỗi dài được rút gọn (`… N more item(s)`, `… N more line(s)`).
